# Dockerized Barracuda VPN client

[![Build Status](https://drone.asperti.com/api/badges/paspo/docker-barracudavpn/status.svg)](https://drone.asperti.com/paspo/docker-barracudavpn)

## Usage with docker compose

```yaml
version: '3.9'

services:
  vpn:
    image: docker.asperti.com/paspo/barracudavpn:latest
    restart: "no"
    network_mode: "host" # needed to permit host access to vpn
    cap_add:
      - NET_ADMIN # needed for tap access
    devices:
      - /dev/net/tun # needed for tap access
    environment:
      VPN_PASSWORD: "ThePassw0rd"
#      VPN_PASSWORD_FILE: /run/secrets/MYPASSWD # example with docker secrets file
      SERVER: vpn.server.it
      LIC_FILE: /config/vpn.lic
    volumes:
      - ./my_license.lic:/config/vpn.lic:ro
```

## Usage with docker

```sh
docker run --rm --name vpn \
  --cap-add NET_ADMIN --device /dev/net/tun --net host \
  -e "VPN_PASSWORD=ThePassw0rd" \
  -e "SERVER=vpn.server.it" \
  -e "LIC_FILE=/config/vpn.lic" \
  -v "$PWD/my_license.lic:/config/vpn.lic:ro"
  -ti docker.asperti.com/paspo/barracudavpn:latest
```

## TODO

- [ ] add support for docker secrets
- [ ] add ability to customize other parameters
- [x] add health check
- [x] set client binary release from drone
